cc.funkemunky.api.tinyprotocol.packet.in

## Enum WrappedInClientCommandPacket.EnumClientCommand

- java.lang.Object
- - java.lang.Enum<WrappedInClientCommandPacket.EnumClientCommand>
  - - cc.funkemunky.api.tinyprotocol.packet.in.WrappedInClientCommandPacket.EnumClientCommand

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WrappedInClientCommandPacket.EnumClientCommand>

Enclosing class:
  WrappedInClientCommandPacket

    public static enum WrappedInClientCommandPacket.EnumClientCommand
    extends java.lang.Enum<WrappedInClientCommandPacket.EnumClientCommand>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`OPEN_INVENTORY_ACHIEVEMENT`
`PERFORM_RESPAWN`
`REQUEST_STATS`

### Method Summary

All Methods Static Methods Concrete Methods
`static WrappedInClientCommandPacket.EnumClientCommand` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WrappedInClientCommandPacket.EnumClientCommand[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PERFORM_RESPAWN

    public static final WrappedInClientCommandPacket.EnumClientCommand PERFORM_RESPAWN

#### REQUEST_STATS

    public static final WrappedInClientCommandPacket.EnumClientCommand REQUEST_STATS

#### OPEN_INVENTORY_ACHIEVEMENT

    public static final WrappedInClientCommandPacket.EnumClientCommand OPEN_INVENTORY_ACHIEVEMENT

### Method Detail

#### values

    public static WrappedInClientCommandPacket.EnumClientCommand[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WrappedInClientCommandPacket.EnumClientCommand c : WrappedInClientCommandPacket.EnumClientCommand.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WrappedInClientCommandPacket.EnumClientCommand valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null